| ICM42370P eMD Driver 2.2.7 Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_apex_parameters_t Struct Reference
APEX

IMU APEX inputs parameters definition. More...

`#include <inv_imu_apex.h>`

## Public Attributes
APEX_CONFIG3_PEDO_AMP_TH_t | pedo_amp_th
uint8_t | pedo_step_cnt_th
uint8_t | pedo_step_det_th
APEX_CONFIG4_PEDO_SB_TIMER_TH_t | pedo_sb_timer_th
APEX_CONFIG4_PEDO_HI_ENRGY_TH_t | pedo_hi_enrgy_th
APEX_CONFIG5_TILT_WAIT_TIME_t | tilt_wait_time
APEX_CONFIG2_DMP_POWER_SAVE_TIME_t | power_save_time
APEX_CONFIG0_DMP_POWER_SAVE_t | power_save
APEX_CONFIG9_SENSITIVITY_MODE_t | sensitivity_mode
APEX_CONFIG2_LOW_ENERGY_AMP_TH_t | low_energy_amp_th
APEX_CONFIG9_SMD_SENSITIVITY_t | smd_sensitivity
APEX_CONFIG9_FF_DEBOUNCE_DURATION_t | ff_debounce_duration
APEX_CONFIG12_FF_MAX_DURATION_t | ff_max_duration_cm
APEX_CONFIG12_FF_MIN_DURATION_t | ff_min_duration_cm
APEX_CONFIG10_LOWG_PEAK_TH_t | lowg_peak_th
APEX_CONFIG5_LOWG_PEAK_TH_HYST_t | lowg_peak_hyst
APEX_CONFIG10_LOWG_TIME_TH_SAMPLES_t | lowg_samples_th
APEX_CONFIG11_HIGHG_PEAK_TH_t | highg_peak_th
APEX_CONFIG5_HIGHG_PEAK_TH_HYST_t | highg_peak_hyst
APEX_CONFIG11_HIGHG_TIME_TH_SAMPLES_t | highg_samples_th

## Detailed Description

IMU APEX inputs parameters definition.

## Member Data Documentation

## ◆ ff_debounce_duration

APEX_CONFIG9_FF_DEBOUNCE_DURATION_t inv_imu_apex_parameters_t::ff_debounce_duration

## ◆ ff_max_duration_cm

APEX_CONFIG12_FF_MAX_DURATION_t inv_imu_apex_parameters_t::ff_max_duration_cm

## ◆ ff_min_duration_cm

APEX_CONFIG12_FF_MIN_DURATION_t inv_imu_apex_parameters_t::ff_min_duration_cm

## ◆ highg_peak_hyst

APEX_CONFIG5_HIGHG_PEAK_TH_HYST_t inv_imu_apex_parameters_t::highg_peak_hyst

## ◆ highg_peak_th

APEX_CONFIG11_HIGHG_PEAK_TH_t inv_imu_apex_parameters_t::highg_peak_th

## ◆ highg_samples_th

APEX_CONFIG11_HIGHG_TIME_TH_SAMPLES_t inv_imu_apex_parameters_t::highg_samples_th

## ◆ low_energy_amp_th

APEX_CONFIG2_LOW_ENERGY_AMP_TH_t inv_imu_apex_parameters_t::low_energy_amp_th

## ◆ lowg_peak_hyst

APEX_CONFIG5_LOWG_PEAK_TH_HYST_t inv_imu_apex_parameters_t::lowg_peak_hyst

## ◆ lowg_peak_th

APEX_CONFIG10_LOWG_PEAK_TH_t inv_imu_apex_parameters_t::lowg_peak_th

## ◆ lowg_samples_th

APEX_CONFIG10_LOWG_TIME_TH_SAMPLES_t inv_imu_apex_parameters_t::lowg_samples_th

## ◆ pedo_amp_th

APEX_CONFIG3_PEDO_AMP_TH_t inv_imu_apex_parameters_t::pedo_amp_th

## ◆ pedo_hi_enrgy_th

APEX_CONFIG4_PEDO_HI_ENRGY_TH_t inv_imu_apex_parameters_t::pedo_hi_enrgy_th

## ◆ pedo_sb_timer_th

APEX_CONFIG4_PEDO_SB_TIMER_TH_t inv_imu_apex_parameters_t::pedo_sb_timer_th

## ◆ pedo_step_cnt_th

uint8_t inv_imu_apex_parameters_t::pedo_step_cnt_th

## ◆ pedo_step_det_th

uint8_t inv_imu_apex_parameters_t::pedo_step_det_th

## ◆ power_save

APEX_CONFIG0_DMP_POWER_SAVE_t inv_imu_apex_parameters_t::power_save

## ◆ power_save_time

APEX_CONFIG2_DMP_POWER_SAVE_TIME_t inv_imu_apex_parameters_t::power_save_time

## ◆ sensitivity_mode

APEX_CONFIG9_SENSITIVITY_MODE_t inv_imu_apex_parameters_t::sensitivity_mode

## ◆ smd_sensitivity

APEX_CONFIG9_SMD_SENSITIVITY_t inv_imu_apex_parameters_t::smd_sensitivity

## ◆ tilt_wait_time

APEX_CONFIG5_TILT_WAIT_TIME_t inv_imu_apex_parameters_t::tilt_wait_time

The documentation for this struct was generated from the following file:

- inv_imu_apex.h